GSCLIP(3NCARG)

NAME
GSCLIP (Set clipping indicator) - controls whether data are displayed outside the boundaries of the world coordinate window of the current normalization transformation.

SYNOPSIS
CALL GSCLIP (ICLIP)

C-BINDING SYNOPSIS
#include <ncarg/gks.h>

void gset_clip_ind(Gclip_ind clip_ind);

DESCRIPTION

ICLIP
    (Integer, Input) - A flag to turn clipping on or off.

    0   Clipping is off. Data outside of the window will be plotted.

    1   Clipping is on. Data outside of the window will not be plotted. This is the default.

USAGE
If the clipping indicator is off, and you make GKS output calls to plot world coordinate data outside your defined world coordinate window (and your viewport is smaller than the full plotting surface), those data will appear with your plot. If the clipping indicator is on, the data will be clipped to fit your window.

ACCESS
To use GKS routines, load the NCAR GKS-0A library ncarg_gks.

SEE ALSO
Online: set, gsup, gswn, gselnt, gqclip, gset_clip_ind

Hardcopy: "User's Guide for NCAR GKS-0A Graphics"

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.